<template>
  <v-navigation-drawer
    dark
    mini-variant
    color="primary--darken-1"
    permanent
  >
    <v-list dense nav>
      <v-list-item
        v-for="pkg in packages"
        :key="pkg.id"
        :to="pkg.to"
        router
        exact
      >
        <v-list-item-action>
          <v-tooltip right>
            <template #activator="{ on, attrs }">
              <v-icon
                v-bind="attrs"
                v-on="on"
              >
                {{ pkg.icon }}
              </v-icon>
            </template>
            <span>{{ pkg.title }}</span>
          </v-tooltip>
        </v-list-item-action>

        <v-list-item-content>
          <v-list-item-title>{{ pkg.title }}</v-list-item-title>
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  name: 'Packages',
  computed: {
    ...mapGetters({
      packages: 'route/pages/getAllPackages',
    }),
  },
};
</script>
